/****************************************************************************

	File    : Sample\Sample\ISample.h  

	Project : Sample.cpp
	Version : 3.4
	Date    : Sun, 1, Jun 2014  

	Copynull (0) Zheltikov I.A.

****************************************************************************/

#ifndef ISample_H
#define ISample_H

#include "Server/Standard/IStandard.h"

//   .
// 
class ISample : public IStandard {


public :

	ISample();

	~ISample();

	//  
	const char* name;

	/* 
	// Cmd
	// --------
	//      .
	//
	// 
	*/
	int Cmd();

	/* 
	// In
	// --------
	//     .
	//
	// in: [In] -  
	*/
	int In(int in);

	/* 
	// Out
	// --------
	//     .
	//
	// out: [Out] -  
	*/
	int Out(int* out);

	/* 
	// Inout
	// --------
	//       .
	//
	// in: [In] -  
	// out: [Out] -  
	*/
	int Inout(int in, int* out);

	/* 
	// Delayed
	// --------
	//     .
	//
	// in: [In] -  
	// out: [Out] -  
	*/
	int Delayed(int in, int* out);

	/* 
	// Pulse
	// --------
	//       .
	//
	// value: [In] -  
	*/
	int Pulse(int value);

	/* 
	// Vectors
	// --------
	//          .
	//
	// in: [In] -  
	// in_len: [In] -   
	// out: [In] -  
	// out_len: [InOut] -   
	*/
	int Vectors(char* in, int in_len, char* out, int* out_len);

};

#endif

//===========================================================================

