/****************************************************************************

	File    : Server\Standard\Standard.h  

	Project : Sample.cpp
	Version : 3.4
	Date    : Sun, 1, Jun 2014  

	Copynull (0) Zheltikov I.A.

****************************************************************************/

#ifndef Standard_H
#define Standard_H

#include <sys/iomsg.h>
#include <sys/siginfo.h>


//     SRR.

//     
#define ST_TYPE_FIRST (_IO_MAX + 0x01)

//     
#define ST_TYPE_STEP 0x100

//     
#define ST_CODE_FIRST _PULSE_CODE_MINAVAIL

//     
#define ST_CODE_STEP 0x10

int main(int argc, char** argv);

#define STANDARD_NAME "standard"

//  
enum st_types_t {
	st_t_quit = ST_TYPE_FIRST + ST_TYPE_STEP * 0,
	st_t_evdlvr
};

//  
enum st_codes_t {
	st_c_quit = ST_CODE_FIRST + ST_CODE_STEP * 0,
	st_c_issue
};

//   
typedef struct st_r_cmd_t {
	uint16_t type;
} st_r_cmd_t;

//   
typedef struct st_r_evdlvr_t {
	uint16_t type;
	struct sigevent event;
} st_r_evdlvr_t;

//  
typedef union st_r_msg_t {
	struct _pulse pulse;
	uint16_t type;
	st_r_evdlvr_t evdlvr;
} st_r_msg_t;

//  
typedef union st_p_msg_t {} st_p_msg_t;

#endif

//===========================================================================

