/****************************************************************************

	File    : Server\Program\SProgram.h  

	Project : Sample.cpp
	Version : 3.4
	Date    : Sun, 1, Jun 2014  

	Copynull (0) Zheltikov I.A.

****************************************************************************/

#ifndef SProgram_H
#define SProgram_H

#include "Server/Standard/SStandard.h"
#include "Server/Program/Program.h"

//     .
// 
class SProgram : public SStandard {

public :

	SProgram();

	~SProgram();


protected :


	void Initialization(int argc, char** argv, const char** path
, unsigned int* flags, int* rsize, int* psize);

	void ChannelDepended(int coid);

	int ProcessMsg(int rcvid, void * r_msg, void * p_msg, int* psize
, struct _msg_info* info);

	void ProcessPulse(struct _pulse* pulse, struct _msg_info* info);

};

#endif

//===========================================================================

