/****************************************************************************

	File    : Server\Standard\PStandard.cpp  

	Project : Sample.cpp
	Version : 3.4
	Date    : Sun, 1, Jun 2014  

	Copynull (0) Zheltikov I.A.

****************************************************************************/

#include "Server/Standard/PStandard.h"
#include <errno.h>
#include <sys/neutrino.h>

PStandard::PStandard()
{
	rcvid = 0;
}

PStandard::~PStandard()
{
}

// -----------------------------------------------------------> Complete <---

int PStandard::Complete(bool* is_srr_running)
{
	*is_srr_running = false;

	return EOK;
}

// ----------------------------------------------------> CompleteByPulse <---

void PStandard::CompleteByPulse(bool* is_srr_running)
{
	*is_srr_running = false;
}

// -------------------------------------------------> EventForDelivering <---

int PStandard::EventForDelivering(int rcvid_, struct sigevent* event_)
{
	rcvid = rcvid_;
	event = *event_;

	return EOK;
}

// -------------------------------------------------------> DeliverEvent <---

int PStandard::DeliverEvent(int value)
{
	if (rcvid == 0)
		return ESRCH;

	event.sigev_value.sival_int = value;

	rc = MsgDeliverEvent (rcvid, &event);

	return rc;
}


//===========================================================================

