/****************************************************************************

	File    : Server\Standard\PStandard.h  

	Project : Sample.cpp
	Version : 3.4
	Date    : Sun, 1, Jun 2014  

	Copynull (0) Zheltikov I.A.

****************************************************************************/

#ifndef PStandard_H
#define PStandard_H

#include <sys/siginfo.h>

//    .
// 
class PStandard {

public :

	PStandard();

	~PStandard();

	int Complete(bool* is_srr_running);

	void CompleteByPulse(bool* is_srr_running);

	int EventForDelivering(int rcvid_, struct sigevent* event_);


protected :

	int rc;

	int DeliverEvent(int value);


private :

	int rcvid;

	struct sigevent event;

};

#endif

//===========================================================================

