/****************************************************************************

	File    : Server\Standard\Standard.cpp  

	Project : Sample.cpp
	Version : 3.4
	Date    : Sun, 1, Jun 2014  

	Copynull (0) Zheltikov I.A.

****************************************************************************/

#include "Server/Standard/Standard.h"
#include "Server/Standard/SStandard.h"
#include "Server/tools/tools.h"
#include <stdlib.h>


static SStandard* s;

static void ExitFunc();

// ---------------------------------------------------------------> main <---

int main(int argc, char** argv)
{
	atexit (ExitFunc);

	CatchSignals (SignalHandler);

	s = new SStandard;

	s->Run (argc, argv);

	return EXIT_SUCCESS;
}

// -----------------------------------------------------------> ExitFunc <---

static void ExitFunc()
{
	delete s;
}


//===========================================================================

